themes:
  name: test
  dark:
    colors:
      background: 0x00CFFF #cyan #pick a dark colour
      header: 0xFF0098 #magenta # pick a second dark colour
      userBubble: 0xFFC000 #yellow #pick a colour that will contrast with BG
      peerBubble: 0xFF0029 #red #pick a colour that will contrast with BG
      font: 0xFFFFFF #white #pick a light colour or a colour that contrasts with your background and your bubbles
      settings: 0x3FFF00 #green #pick a colour that will contrast with your accent colour
      accent: 0x0013FF #blue #pick a colour that will contrast with BG
      reaction: 0x8900FF #purple #pick a colour that will contrast with BG
    theme:
      backgroundHilightElementColor: peerBubble
      backgroundMainColor: background
      backgroundPaneColor: background
      defaultButtonColor: accent
      defaultButtonActiveColor: accent
      defaultButtonDisabledColor: peerBubble
      dropShadowColor: userBubble
      mainTextColor: font
      messageFromMeBackgroundColor: userBubble
      messageFromMeTextColor: font
      messageFromOtherBackgroundColor: peerBubble
      messageFromOtherTextColor: font
      portraitContactBadgeColor: accent
      portraitContactBadgeTextColor: font
      portraitProfileBadgeColor: accent
      portraitProfileBadgeTextColor: font
      portraitOfflineBorderColor: peerBubble
      portraitOnlineBorderColor: accent
      portraitBackgroundColor: background
      scrollbarDefaultColor: accent
      sendHintTextColor: reaction
      textfieldBackgroundColor: peerBubble
      textfieldBorderColor: accent
      toolbarIconColor: settings
      topbarColor: header
      chatReactionIconColor: reaction
      snackbarBackgroundColor: accent
      snackbarTextColor: font
      messageSelectionColor: reaction
      textfieldSelectionColor: accent
      menuBackgroundColor: background
      chatImage: test.png
      chatImageColor: reaction
  light:
    colors:
      background: 0x00CFFF #cyan #pick a light colour
      header: 0xFF0098 #magenta # pick a second light colour
      userBubble: 0xFFC000 #yellow #pick a colour that will contrast with BG
      peerBubble: 0xFF0029 #red #pick a colour that will contrast with BG
      font: 0xFFFFFF #white #pick a dark colour or a colour that contrasts with your background and your bubbles
      settings: 0x3FFF00 #green #pick a colour that will contrast with your accent colour
      accent: 0x0013FF #blue #pick a colour that will contrast with BG
      reaction: 0x8900FF #purple #pick a colour that will contrast with BG
    theme:
      backgroundHilightElementColor: peerBubble
      backgroundMainColor: background
      backgroundPaneColor: background
      defaultButtonColor: accent
      defaultButtonActiveColor: accent
      defaultButtonDisabledColor: peerBubble
      dropShadowColor: userBubble
      mainTextColor: font
      messageFromMeBackgroundColor: userBubble
      messageFromMeTextColor: font
      messageFromOtherBackgroundColor: peerBubble
      messageFromOtherTextColor: font
      portraitContactBadgeColor: accent
      portraitContactBadgeTextColor: font
      portraitProfileBadgeColor: accent
      portraitProfileBadgeTextColor: font
      portraitOfflineBorderColor: peerBubble
      portraitOnlineBorderColor: accent
      portraitBackgroundColor: background
      scrollbarDefaultColor: accent
      sendHintTextColor: reaction
      textfieldBackgroundColor: peerBubble
      textfieldBorderColor: accent
      toolbarIconColor: settings
      topbarColor: header
      chatReactionIconColor: reaction
      snackbarBackgroundColor: accent
      snackbarTextColor: font
      messageSelectionColor: reaction
      textfieldSelectionColor: accent
      menuBackgroundColor: background
      chatImage: test.png
      chatImageColor: reaction